# Method: services.connections.list

- [HTTP request](https://docs.cloud.google.com/service-infrastructure/docs/service-networking/reference/rest/v1/services.connections/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-infrastructure/docs/service-networking/reference/rest/v1/services.connections/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-infrastructure/docs/service-networking/reference/rest/v1/services.connections/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-infrastructure/docs/service-networking/reference/rest/v1/services.connections/list#body.request_body)
- [Response body](https://docs.cloud.google.com/service-infrastructure/docs/service-networking/reference/rest/v1/services.connections/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/service-infrastructure/docs/service-networking/reference/rest/v1/services.connections/list#body.ListConnectionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/service-infrastructure/docs/service-networking/reference/rest/v1/services.connections/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/service-infrastructure/docs/service-networking/reference/rest/v1/services.connections/list#try-it)

List the private connections that are configured in a service consumer's VPC network.

### HTTP request

`GET https://servicenetworking.googleapis.com/v1/{parent=services/*}/connections`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The service that is managing peering connectivity for a service producer's organization. For Google services that support this functionality, this value is `services/servicenetworking.googleapis.com`. If you specify `services/-` as the parameter value, all configured peering services are listed. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `servicenetworking.services.get` |

### Query parameters

| Parameters ||
|---|---|
| `network` | `string` Required. The name of service consumer's VPC network that's connected with service producer network through a private connection. The network name must be in the following format: `projects/{project}/global/networks/{network}`. {project} is a project number, such as in `12345` that includes the VPC service consumer's VPC network. {network} is the name of the service consumer's VPC network. |

### Request body

The request body must be empty.

### Response body

ListConnectionsResponse is the response to list peering states for the given service and consumer project.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "connections": [ { object (`https://docs.cloud.google.com/service-infrastructure/docs/service-networking/reference/rest/v1/services.connections#Connection`) } ] } ``` |

| Fields ||
|---|---|
| `connections[]` | ``object (`https://docs.cloud.google.com/service-infrastructure/docs/service-networking/reference/rest/v1/services.connections#Connection`)`` The list of Connections. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/service.management`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).